/* menueausgabe.c */
#include "menueausgabe.h"

/* Elende Umlaute und Sonderzeichen von utf8 erkennen und fuer FOM umwandeln */
unsigned char ausZweiMachEins(int zeichen1, int zeichen2,
				int zeile, int spalte, WINDOW *wohin) {
	/* Wird erweitert wenn ich ein neues Sonderzeichen brauch */
	switch (zeichen1) {
		case 194:
			switch (zeichen2) {
				case 176:
					mvwprintw(wohin, zeile, spalte, "°");
					return 0xDF;
			}
			break;
		case 195:
			switch (zeichen2) {
				case 164:
					mvwaddstr(wohin, zeile, spalte, "ä");
					return 0xE1;
				case 182:
					mvwaddstr(wohin, zeile, spalte, "ö");
					return 0xEF;
				case 188:
					mvwaddstr(wohin, zeile, spalte, "ü");
					return 0xF5;
				case 132:
					mvwaddstr(wohin, zeile, spalte, "Ä");
					return 0xE1;
				case 150:
					mvwaddstr(wohin, zeile, spalte, "Ö");
					return 0xEF;
				case 156:
					mvwaddstr(wohin, zeile, spalte, "Ü");
					return 0xF5;
				case 159:
					mvwaddstr(wohin, zeile, spalte, "ß");
					return 0xE2;
			}
			break;
	}
	return ' ';
}

/* Elende Umlaute und Sonderzeichen vom FOM erkennen und fuer utf8 umwandeln */
void ausEinsMachZwei(char zeichen, WINDOW *wohin) {
	switch ((unsigned char)zeichen) {
		case 0xE1:
			waddstr(wohin, "ä");
			break;
		case 0xEF:
			waddstr(wohin, "ö");
			break;
		case 0xF5:
			waddstr(wohin, "ü");
			break;
		case 0xDF:
			waddstr(wohin, "°");
			break;
		case 0xE2:
			waddstr(wohin, "ß");
			break;
		case 0x00:
			waddstr(wohin, " ");
			break;
		default:
			waddch(wohin,zeichen);
	}
}

/* Gibt einen Menuepunkt in der Standardkonsolenfarbe oder
 * wenn der Menuepunkt gerade ausgewaehlt ist in blau aus */
void gebeMenuePunktAus(char ausgabe[21],
			unsigned char menueNummer, WINDOW* fenster) {
	if (woBinIch == menueNummer) {
		wattron(fenster, COLOR_PAIR(2));
	}
	wprintw(fenster, "%s", ausgabe);
	if (woBinIch == menueNummer) {
		wattroff(fenster, COLOR_PAIR(2));
	}
}

/* Gibt einen Menuepunkt in cyan oder
 * wenn der Menuepunkt gerade ausgewaehlt ist in blau aus */
void gebeMenuePunktAusCyan(char ausgabe[21],
			unsigned char menueNummer, WINDOW* fenster) {
	if (woBinIch == menueNummer) {
		wattron(fenster, COLOR_PAIR(2));
	} else {
		wattron(fenster, COLOR_PAIR(3));
	}
	wprintw(fenster, "%s", ausgabe);
	if (woBinIch == menueNummer) {
		wattroff(fenster, COLOR_PAIR(2));
	} else {
		wattroff(fenster, COLOR_PAIR(3));
	}
}

/* Oberes Menue ausgeben */
void starteMenue() {
	const char *menue[] = {"Monitor", "Lüftereinstellugen", "Sensoreinstellungen", "Reglereinstellungen", "DFMeinstellungen"};
	unsigned char i = 0;

	/* Menuezeile bereinigen */
	wmove(haupt, 1, 1);
	for (i = 1; i < getmaxx(haupt) - 1; i++) {
		waddch(haupt, ' ');
	}

	/* Farbpaar 1 aktivieren */
	attron(COLOR_PAIR(1));
	wmove(haupt, 1, COLS / 2 > 41 ? COLS / 2 - 41 : 0);
	/* Menue ausgeben */
	for (i = 0; i < 5; i++) {
		if (menu == i) {
			attron(A_REVERSE);
			wprintw(haupt, "%s", menue[i]);
			attroff(A_REVERSE);
		} else {
			wprintw(haupt, "%s", menue[i]);
		}
		if (i < 4) {
			attroff(COLOR_PAIR(1));
			waddch(haupt, ' ');
			attron(COLOR_PAIR(1));
		}
	}
	/* Farbpaar 1 deaktivieren */
	attroff(COLOR_PAIR(1));
	wrefresh(haupt);
}

/* Augabe Monitormenue */
void gebeFomMenueAus() {
	/* Funktionszeiger (fz) zum Wechsel der Funktionen
	 * gebeMenuePunktAus und gebeMenuePunktAusCyan */
	void (*fz) (char[21], unsigned char, WINDOW*) = gebeMenuePunktAus;
	char ausgabeMenue[128] = {0};
	const char *wochentage[] = {"Sonntag", "Montag", "Dienstag", "Mittwoch",
		"Donnerstag", "Freitag", "Samstag" };
	const char *laa[] = {"aus", " an"};
	unsigned char g = 0;
	unsigned char i = 0;
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang der Fenster bewegen */
	wclear(links);
	wclear(rechts);
	wmove(links, 0, 0);
	wmove(rechts, 0, 0);
	/* Die vier Luefterkanaldaten abwechselnd
	 * weiss und cyan ausgeben */
	for (g = 0; g < 4; g++) {
		if (g & 0x01) {
			fz = gebeMenuePunktAusCyan;
		}
		snprintf(ausgabeMenue, 10, "Lüfter%2d ", luefterKanal[g] + 1);
		(*fz)(ausgabeMenue, g * 10, links);
		snprintf(ausgabeMenue, 6, " ist ");
		(*fz)(ausgabeMenue, 128, links);
		snprintf(ausgabeMenue, 4, "%s",
				laa[lz[luefterKanal[g]] & 0x01]);
		(*fz)(ausgabeMenue, g * 10 + 1, links);
		snprintf(ausgabeMenue, 9, ". Name: ");
		(*fz)(ausgabeMenue, 128, links);
		if (g  * 10 + 2 == woBinIch) {
			wattron(links, COLOR_PAIR(2));
		} else if (g & 0x01) {
			wattron(links, COLOR_PAIR(3));
		}
		for (i = 0; i < 20; i++) {
			ausEinsMachZwei(namen[luefterKanal[g]][i], links);
		}
		if (g * 10 + 2 == woBinIch) {
			wattroff(links, COLOR_PAIR(2));
		} else if (g & 0x01) {
			wattron(links, COLOR_PAIR(3));
		}
		snprintf(ausgabeMenue, 10, "\n%2d,%d V ",
				lspan[luefterKanal[g]] / 10,
				lspan[luefterKanal[g]] % 10);
		(*fz)(ausgabeMenue, g * 10 + 5, links);
		snprintf(ausgabeMenue, 11, "%2d,%d Watt ",
				lvb[luefterKanal[g]] / 10,
				lvb[luefterKanal[g]] % 10);
		(*fz)(ausgabeMenue, g * 10 + 6, links);
		snprintf(ausgabeMenue, 11, "%4d upm\n",
				lupm[luefterKanal[g]] * 100);
		(*fz)(ausgabeMenue, g * 10 + 7, links);
		if (g & 0x01) {
			fz = gebeMenuePunktAus;
		}
	}
	snprintf(ausgabeMenue, 40, "\nDurchfluss: %.2f l/min %.2f l/h\n",
			durchfluss[0], durchfluss[1]);
	gebeMenuePunktAus(ausgabeMenue, 45, links);
	snprintf(ausgabeMenue, 60, "12V-Spannung: %d,%dV 5V-"
			"Spannung: %d,%dV USB-Spannung: %d,%dV\n",
			nts[1] / 10, nts[1] % 10, nts[0] / 10,
			nts[0] % 10, nts[2] / 10, nts[2] % 10);
	gebeMenuePunktAusCyan(ausgabeMenue, 50, links);
	snprintf(ausgabeMenue, 80, "FOM pro Datum:\n%s, der %2d.%2d.20%0d, "
			"%2d:%02d Uhr und %2d Sekunden\n",
			wochentage[datum[3] % 7], datum[4],
			datum[5], datum[6], datum[2],
			datum[1], datum[0]);
	gebeMenuePunktAus(ausgabeMenue,60, links);
	/* Die acht Sensorkanaldaten abwechselnd
	 * weiss und cyan ausgeben */
	for (g = 0; g < 8; g++) {
		if (g & 0x01) {
			fz = gebeMenuePunktAusCyan;
		}
		snprintf(ausgabeMenue, 9, "Sensor%2d", sensorKanal[g] + 1);
		(*fz)(ausgabeMenue, g * 10 + 3, rechts);
		snprintf(ausgabeMenue, 8, " Name: ");
		(*fz)(ausgabeMenue, 128, rechts);
		snprintf(ausgabeMenue, 21,
				"%s", namen[sensorKanal[g] + 16]);
		(*fz)(ausgabeMenue, g * 10 + 4, rechts);
		snprintf(ausgabeMenue, 12,
				"\n%5.1f °C\n", stemp[sensorKanal[g]]);
		(*fz)(ausgabeMenue, g * 10 + 8, rechts);
		if (g & 0x01) {
			fz = gebeMenuePunktAus;
		}
	}
	/* Und auf den Bildschirm damit */
	wrefresh(links);
	wrefresh(rechts);
}

/* Ausgabe LuefterKonfMenue */
void maleLuefterKonfMenue(unsigned char kanal) {
	/* Luefter Name Steuerung: manuell Alarm Meldung Mainboard Herunterfahren Notabschaltung 12V-Switch */
	/* Regulator Pules pro Umdrehung Minimalspannung Maximalspannung Spannung */
	char ausgabeMenue[128] = {0};
	const char *lsm[] = {"manuell", "automatisch"};
	const char *geraet[] = {"nicht angeschlossen", "Fan-O-Matic Pro"};
	unsigned char i = 0;
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang der Fenster bewegen */
	wclear(links);
	wclear(rechts);
	wmove(links, 0, 0);
	wmove(rechts, 0, 0);
	/* Linke Spalte */
	snprintf(ausgabeMenue, 11, "Lüfter%2d ", kanal + 1);
	gebeMenuePunktAus(ausgabeMenue, 0, links);
	/* Den Luefternamen ausgeben */
	if (1 == woBinIch) {
		wattron(links, COLOR_PAIR(2));
	}
	for (i = 0; i < 20; i++) {
		ausEinsMachZwei(namen[kanal][i], links);
	}
	if (1 == woBinIch) {
		wattroff(links, COLOR_PAIR(2));
	}
	waddnstr(links, "\nSteuerung: ", 12);
	snprintf(ausgabeMenue, 14, "%s\n", lsm[lm[kanal]]);
	gebeMenuePunktAus(ausgabeMenue, 3, links);
	waddnstr(links, "Alarm Meldung:        ", 23);
	snprintf(ausgabeMenue, 10, "%3d upm\n", ameld[kanal] * 100);
	gebeMenuePunktAus(ausgabeMenue, 6, links);
	waddnstr(links, "Alarm Mainboard:      ", 23);
	snprintf(ausgabeMenue, 10, "%3d upm\n", amobo[kanal] * 100);
	gebeMenuePunktAus(ausgabeMenue, 9, links);
	waddnstr(links, "Alarm Herunterfahren: ", 23);
	snprintf(ausgabeMenue, 10, "%3d upm\n", areli1[kanal] * 100);
	gebeMenuePunktAus(ausgabeMenue, 12, links);
	waddnstr(links, "Alarm Notabschaltung: ", 23);
	snprintf(ausgabeMenue, 10, "%3d upm\n", areli2[kanal] * 100);
	gebeMenuePunktAus(ausgabeMenue, 15, links);
	waddnstr(links, "Alarm 12V-Switch:     ", 23);
	snprintf(ausgabeMenue, 10, "%3d upm\n", a12V[kanal] * 100);
	gebeMenuePunktAus(ausgabeMenue, 18, links);
	/* Rechte Spalte */
	snprintf(ausgabeMenue, 29, "Device: %s\n", geraet[awga[kanal]]);
	gebeMenuePunktAus(ausgabeMenue, 2, rechts);
	waddnstr(rechts, "Impulse pro Umdrehung: ", 24);     
	snprintf(ausgabeMenue, 4, "%d\n", ipu[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 5, rechts);
	snprintf(ausgabeMenue, 20, "Minimalspannung:   ");
	gebeMenuePunktAus(ausgabeMenue, 128, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", minu[kanal] / 10, minu[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 8, rechts);
	snprintf(ausgabeMenue, 20, "Maximalspannung:   ");
	gebeMenuePunktAus(ausgabeMenue, 128, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", maxu[kanal] / 10, maxu[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 11, rechts);
	snprintf(ausgabeMenue, 20, "Anlaufspannung:    ");
	gebeMenuePunktAus(ausgabeMenue, 128, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", boost[kanal] / 10, boost[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 14, rechts);
	snprintf(ausgabeMenue, 20, "aktuelle Spannung: ");
	gebeMenuePunktAus(ausgabeMenue, 128, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", lspan[kanal] / 10, lspan[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 17, rechts);

	/* Und auf den Bildschirm damit */
	wrefresh(links);
	wrefresh(rechts);
}

/* Ausgabe gebeSensorKonfMenue */
void maleSensorKonfMenue(unsigned char kanal) {
	char ausgabeMenue[128] = {0};
	const char *geraet[] = {"nicht angeschlossen", "Fan-O-Matic Pro"};
	char i = 0;
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang der Fenster bewegen */
	wclear(links);
	wclear(rechts);
	wmove(links, 0, 0);
	wmove(rechts, 0, 0);
	/* Linke Spalte */
	snprintf(ausgabeMenue, 11, "Sensor%2d ", kanal + 1);
	gebeMenuePunktAus(ausgabeMenue, 0, links);
	/* Den Sensornamen ausgeben */
	if (1 == woBinIch) {
		wattron(links, COLOR_PAIR(2));
	}
	for (i = 0; i < 20; i++) {
		ausEinsMachZwei(namen[kanal + 16][(unsigned char)i], links);
	}
	if (1 == woBinIch) {
		wattroff(links, COLOR_PAIR(2));
	}
	waddnstr(links, "\nAlarm Meldung:        ", 24);
	snprintf(ausgabeMenue, 8, "%2d °C\n", ameld[kanal + 16]);
	gebeMenuePunktAus(ausgabeMenue, 3, links);
	waddnstr(links, "Alarm Herunterfahren: ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", areli1[kanal + 16]);
	gebeMenuePunktAus(ausgabeMenue, 6, links);
	waddnstr(links, "Alarm 12V-Switch:     ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", a12V[kanal + 16]);
	gebeMenuePunktAus(ausgabeMenue, 9, links);
	/* Rechte Spalte */
	snprintf(ausgabeMenue, 29, "Device: %s\n", geraet[awga[kanal + 16]]);
	gebeMenuePunktAus(ausgabeMenue, 2, rechts);
	waddnstr(rechts, "Alarm Mainboard:      ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", amobo[kanal + 16]);
	gebeMenuePunktAus(ausgabeMenue, 5, rechts);
	waddnstr(rechts, "Alarm Notabschaltung: ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", areli2[kanal + 16]);
	gebeMenuePunktAus(ausgabeMenue, 8, rechts);
	waddnstr(rechts, "Korrektur: ", 11);
	i = ks[kanal] - 120;
	if (i < 0) {
		snprintf(ausgabeMenue, 11, "-%d,%d °C\n", abs(i / 10),
			abs(i) % 10);
	} else {
		snprintf(ausgabeMenue, 10, "%2d,%d °C\n", i / 10,
			i % 10);
	}
	gebeMenuePunktAus(ausgabeMenue, 11, rechts);
	wrefresh(links);
	wrefresh(rechts);
}

/* Ausgabe gebeReglerKonfMenue */
void maleReglerKonfMenue(unsigned char kanal) {
	char ausgabeMenue[128] = {0};
	const char *modi[] = {"inaktiv", "P/I Regulator", "Schritt Regelung"};
	const char *jain[] = {"nein", " ja"};
	char i = 0;
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang der Fenster bewegen */
	wclear(links);
	wclear(mitte);
	wclear(rechts);
	/* Links die Ausgabe der allgemeinen Regulatoreinstellungen */
	wattron(links, COLOR_PAIR(3));
	mvwaddnstr(links, 0, (COLS - 2) / 6 - 5, "Allgemein\n", 10);
	wattroff(links, COLOR_PAIR(3));
	snprintf(ausgabeMenue, 10, "Regler%2d ", kanal + 1);
	gebeMenuePunktAus(ausgabeMenue, 0, links);
	/* Den Regulatornamen ausgeben */
	if (1 == woBinIch) {
		wattron(links, COLOR_PAIR(2));
	}
	for (i = 0; i < 20; i++) {
		ausEinsMachZwei(namen[kanal + 32][(unsigned char)i], links);
	}
	if (1 == woBinIch) {
		wattroff(links, COLOR_PAIR(2));
	}
	waddnstr(links, "\nSensor:  ", 11);
	if (5 == woBinIch) {
		wattron(links, COLOR_PAIR(2));
	}
	for (i = 0; i < 20; i++) {
		ausEinsMachZwei(namen[rin[kanal] + 16][(unsigned char)i], links);
	}
	if (5 == woBinIch) {
		wattroff(links, COLOR_PAIR(2));
	}
	waddnstr(links, "\nAusgabe: ", 11);
	if (10 == woBinIch) {
		wattron(links, COLOR_PAIR(2));
	}
	for (i = 0; i < 20; i++) {
		ausEinsMachZwei(namen[rout[kanal]][(unsigned char)i], links);
	}
	if (10 == woBinIch) {
		wattroff(links, COLOR_PAIR(2));
	}
	waddnstr(links, "\nModus:   ", 11);
	snprintf(ausgabeMenue, 18, "%s", modi[rmod[kanal]]);
	gebeMenuePunktAus(ausgabeMenue, 15, links);
	waddnstr(links, "\nLüfterausschalten erlauben: ", 30);
	snprintf(ausgabeMenue, 5, "%s\n", jain[rFo[kanal]]);
	gebeMenuePunktAus(ausgabeMenue, 20, links);
	/* In der Mitte die Ausgabe der P/I Regelung */
	wattron(mitte, COLOR_PAIR(3));
	mvwaddnstr(mitte, 0, (COLS - 2) / 6 - 6, "P/I Regelung\n", 13);
	wattroff(mitte, COLOR_PAIR(3));
	waddnstr(mitte, "Temperaturuntergrenze: ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", tempN[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 2, mitte);
	waddnstr(mitte, "Temperaturobergrenze:  ", 23);
	snprintf(ausgabeMenue, 8, "%2d °C\n", tempH[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 7, mitte);
	waddnstr(mitte, "Reglerzeit (in Sek):   ", 23);
	snprintf(ausgabeMenue, 4, "%2d\n", rZeit[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 12, mitte);
	waddnstr(mitte, "Proportional (Volt/Grad): ", 26);
	snprintf(ausgabeMenue, 5, "%d,%d\n", rProp[kanal] / 10, rProp[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 17, mitte);
	waddnstr(mitte, "Integral (Volt/Zeit):     ", 26);
	snprintf(ausgabeMenue, 5, "%d,%d\n", rInt[kanal] / 10, rInt[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 22, mitte);
	waddnstr(mitte, "Regelung invertieren: ", 22);
	snprintf(ausgabeMenue, 5, "%s\n", jain[rInv[kanal]]);
	gebeMenuePunktAus(ausgabeMenue, 27, mitte);
	/* Rechts die Ausgabe der Step Regelung */
	wattron(rechts, COLOR_PAIR(3));
	mvwaddnstr(rechts, 0, (COLS - 2) / 6 - 8, "Schritt Regelung\n", 17);
	wattroff(rechts, COLOR_PAIR(3));
	snprintf(ausgabeMenue, 17, "Minimalspannung: ");
	gebeMenuePunktAus(ausgabeMenue, 3, rechts);
	wprintw(rechts, "%2d,%d V\n", minu[rout[kanal]] / 10,
			minu[rout[kanal]] % 10);
	waddnstr(rechts, "Schritt 1: ", 11);
	snprintf(ausgabeMenue, 8, "%2d °C ", rs1Temp[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 8, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", rs1U[kanal] / 10, rs1U[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 9, rechts);
	waddnstr(rechts, "Schritt 2: ", 11);
	snprintf(ausgabeMenue, 8, "%2d °C ", rs2Temp[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 13, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", rs2U[kanal] / 10, rs2U[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 14, rechts);
	waddnstr(rechts, "Schritt 3: ", 11);
	snprintf(ausgabeMenue, 8, "%2d °C ", rs3Temp[kanal]);
	gebeMenuePunktAus(ausgabeMenue, 18, rechts);
	snprintf(ausgabeMenue, 9, "%2d,%d V\n", rs3U[kanal] / 10, rs3U[kanal] % 10);
	gebeMenuePunktAus(ausgabeMenue, 19, rechts);
	wrefresh(links);
	wrefresh(mitte);
	wrefresh(rechts);
}

void maleDFMKonfMenue() {
	char ausgabeMenue[128] = {0};
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang der Fenster bewegen */
	wclear(links);
	wclear(rechts);
	wmove(links, 0, 0);
	wmove(rechts, 0, 0);
	waddnstr(links, "Alarm Meldung:        ", 23);
	snprintf(ausgabeMenue, 8, "%2d,%d\n", dfm[0] / 10, dfm[0] % 10);
	gebeMenuePunktAus(ausgabeMenue, 0, links);
	waddnstr(links, "Alarm Herunterfahren: ", 23);
	snprintf(ausgabeMenue, 8, "%2d,%d\n", dfm[2] / 10, dfm[2] % 10);
	gebeMenuePunktAus(ausgabeMenue, 2, links);
	waddnstr(links, "Alarm 12V-Switch:     ", 23);
	snprintf(ausgabeMenue, 8, "%2d,%d\n",dfm[4] / 10, dfm[4] % 10);
	gebeMenuePunktAus(ausgabeMenue, 4, links);
	/* Rechte Spalte */
	waddnstr(rechts, "Alarm Mainboard:      ", 23);
	snprintf(ausgabeMenue, 8, "%2d,%d\n", dfm[1] / 10, dfm[1] % 10);
	gebeMenuePunktAus(ausgabeMenue, 1, rechts);
	waddnstr(rechts, "Alarm Notabschaltung: ", 23);
	snprintf(ausgabeMenue, 8, "%2d,%d\n", dfm[3] / 10, dfm[3] % 10);
	gebeMenuePunktAus(ausgabeMenue, 3, rechts);
	waddnstr(rechts, "Impulse: ", 9);
	/* Aufgrund eines Cast Blackout per Hand */
	snprintf(ausgabeMenue, 8, "%4d\n", dfm[5] * 256 + dfm[6]);
	gebeMenuePunktAus(ausgabeMenue, 5, rechts);
	wrefresh(links);
	wrefresh(rechts);
}
