/* menueausgabe.h */

#ifndef MENUEAUSGABE_H
#define MENUEAUSGABE_H

#include <ncursesw/curses.h>
#include <stdlib.h>

extern WINDOW *haupt;
extern WINDOW *links;
extern WINDOW *mitte;
extern WINDOW *rechts;
extern float stemp[16]; /* Temperatur der Sensoren */
extern float durchfluss[2]; /* Der Durchfluss in l/min und l/h*/
/* Die Namen der Sensoren, Regler ... siehe Protokoll_FOMpro_Namen.txt */
extern char namen[78][21];
extern unsigned char ameld[32]; /* Alarm Softwaremeldung */
extern unsigned char amobo[32]; /* Alarm Mainboard */
extern unsigned char areli1[32]; /* Alarm Relais 1 */
extern unsigned char areli2[32]; /* Alarm Relais 2 */
extern unsigned char a12V[32]; /* Alarm 12 V Schalter */
extern unsigned char awga[32]; /* An welchem Geraet angeschlossen */
extern unsigned char lspan[16]; /* Spannung der Luefter */
extern unsigned char lm[16]; /* Lueftermodus manuell oder automatisch */
extern unsigned char lvb[16]; /* Verbrauch der Luefter */
extern unsigned char lz[16]; /* Luefter an oder aus */
extern unsigned char lupm[16]; /* Umdrehungen pro Minute der Luefter */
extern unsigned char ipu[16]; /* Impulse pro Umdrehung */
extern unsigned char boost[16]; /* Boostspannung */
extern unsigned char minu[16]; /* Minimalspannung */
extern unsigned char maxu[16]; /* Maximalspannung */
extern unsigned char ks[16]; /* Korrektur Sensor */
extern unsigned char rin[16]; /* Regulator Eingabe */
extern unsigned char rout[16]; /* Regulator Ausgabe */
extern unsigned char rmod[16]; /* Modus der Regulatoren */
extern unsigned char rInv[16]; /* Regulator Ausgang umkehren */
extern unsigned char tempN[16]; /* Regulator Temperatur Untergrenze */
extern unsigned char tempH[16]; /* Regulator Temperatur Obergrenze */
extern unsigned char rZeit[16]; /* Regulatorzeit */
extern unsigned char rProp[16]; /* Regulator Proportional */
extern unsigned char rInt[16]; /* Regulator Integral */
extern unsigned char rFo[16]; /* Regulator Fan off */
extern unsigned char dfm[7]; /* Durchflussmesser Alarm, Pulse */
/* Temperatur Step Regulator */
extern unsigned char rs1Temp[16];
extern unsigned char rs2Temp[16];
extern unsigned char rs3Temp[16];
/* Spannung Step Regulator*/
extern unsigned char rs1U[16];
extern unsigned char rs2U[16];
extern unsigned char rs3U[16];
/* Speichert welche 8 Sensorkanaele ausgegeben werden sollen */
extern unsigned char sensorKanal[8];
extern unsigned char datum[7]; /* Datum des FOM pro */
/* Speichert welche 4 Luefterkanaele ausgegeben werden sollen */
extern unsigned char luefterKanal[4];
extern unsigned char nts[3];
extern unsigned char menu;
extern unsigned char woBinIch;

unsigned char ausZweiMachEins(int, int, int, int, WINDOW *);
void ausEinsMachZwei(char, WINDOW *);
void gebeMenuePunktAus(char[21], unsigned char, WINDOW *);
void gebeMenuePunktAusCyan(char[21], unsigned char, WINDOW *);
void starteMenue();
void gebeFomMenueAus();
void maleLuefterKonfMenue(unsigned char);
void maleSensorKonfMenue(unsigned char);
void maleReglerKonfMenue(unsigned char);
void maleDFMKonfMenue();

#endif