/* tooltipps.c */
#include "tooltipps.h"
/* Gibt Beschreibungen zu den einzelnen Ausgaben des Monitormodus aus */
void gebeToolTippsAus() {
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang des unteren Fenster bewegen */
	wclear(unten);
	wmove(unten, 0, 0);
	switch (woBinIch) {
		case 0:
		case 10:
		case 20:
		case 30:
			waddstr(unten, "Dieser Lüfterkanal ist ausgewählt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 1:
		case 11:
		case 21:
		case 31:
			waddstr(unten, "Gibt aus, ob der Lüfter an oder aus ist. "
			"Im manuellen Lueftersteuerungsmodus kann dieser mit der "
			"Taste enter und anschließend durch Nutzung der Pfeil"
			"tasten an- oder ausgeschaltet werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 2:
		case 12:
		case 22:
		case 32:
			waddstr(unten, "Gibt den Namen des Lüfters aus.");
			break;
		case 3:
		case 13:
		case 23:
		case 33:
		case 43:
		case 53:
		case 63:
		case 73:
			waddstr(unten, "Dieser Sensorkanal ist ausgewählt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 4:
		case 14:
		case 24:
		case 34:
		case 44:
		case 54:
		case 64:
		case 74:
			waddstr(unten, "Gibt den Namen des Sensors aus.");
			break;
		case 5:
		case 15:
		case 25:
		case 35:
			waddstr(unten, "Gibt die aktuelle Spannung des Lüfters aus."
			"Im manuellen Lueftersteuerungsmodus kann diese mit der "
			"Taste enter und anschließend durch Nutzung der Pfeil"
			"tasten eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 6:
		case 16:
		case 26:
		case 36:
			waddstr(unten, "Gibt den aktuellen Verbrauch des Lüfters aus.");
			break;
		case 7:
		case 17:
		case 27:
		case 37:
			waddstr(unten, "Gibt die aktuellen Umdrehungen"
				" pro Minute des Lüfters aus.");
			break;
		case 8:
		case 18:
		case 28:
		case 38:
		case 48:
		case 58:
		case 68:
		case 78:
			waddstr(unten, "Gibt die aktuelle Temperatur des Sensors aus.");
			break;
		case 45:
			waddstr(unten, "Gibt den Durchfluss in Liter "
				"pro Minute und Liter pro Stunde aus.");
			break;
		case 50:
			waddstr(unten, "Gibt die 12V-, 5V- und USB-"
					"Spannung des Netzteils aus.");
			break;
		case 60:
			waddstr(unten, "Gibt das Datum des FOM pro aus.");
			break;
		default:
			waddstr(unten, "Unbekannter Zustand.");
	}
	wrefresh(unten);
}

/* Gibt Beschreibungen zu den einzelnen Ausgaben des Luefterkonfigurationsmodus aus */
void gebeToolLKTippsAus() {
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang des unteren Fenster bewegen */
	wclear(unten);
	wmove(unten, 1, 0);
	switch (woBinIch) {
		case 0:
			waddstr(unten, "Dieser Lüfterkanal ist ausgewählt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 1:
			waddstr(unten, "Gibt den Namen des Lüfters aus. "
			"Mit der Taste enter und anschließend "
			"durch Eingabe des neuen Namens kann dieser"
			" verändert werden. Die Taste enter bestätigt "
			"die Eingabe und die Taste esc verwirft diese.");
			break;
		case 2:
			waddstr(unten, "An diesem Gerät ist der Lüfter angeschlossen.");
			break;
		case 3:
			waddstr(unten, "Gibt den Lüftermodus aus. "
			"Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann dieser"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");

			break;
		case 5:
			waddstr(unten, "Gibt die Impulse pro Lüfterumdrehung aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten können diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 6:
			waddstr(unten, "Gibt die Softwarealarmeinstellung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 8:
			waddstr(unten, "Gibt die Minmalspannung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 9:
			waddstr(unten, "Gibt die Mainboardalarmeinstellung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 11:
			waddstr(unten, "Gibt die Maximalspannung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 12:
			waddstr(unten, "Gibt die Herunterfahrenalarmeinstellung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 14:
			waddstr(unten, "Gibt die Anlaufspannung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 15:
			waddstr(unten, "Gibt die Notabschaltungalarmeinstellung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 17:
			waddstr(unten, "Gibt die aktuelle Spannung des Lüfters aus."
			" Im manuellen Lüftermodus kann diese mit "
			"der Taste enter und anschließend durch Nutzung der Pfeiltasten"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 18:
			waddstr(unten, "Gibt die 12V-Switchalarmeinstellung des Lüfters aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		default:
			waddstr(unten, "Unbekannter Zustand.");
	}
	wrefresh(unten);
}

/* Gibt Beschreibungen zu den einzelnen Ausgaben des Luefterkonfigurationsmodus aus */
void gebeToolSKTippsAus() {
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang des unteren Fenster bewegen */
	wclear(unten);
	wmove(unten, 1, 0);
	switch (woBinIch) {
		case 0:
			waddstr(unten, "Dieser Sensorkanal ist ausgewählt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 1:
			waddstr(unten, "Gibt den Namen des Sensors aus. "
			"Mit der Taste enter und anschließend "
			"durch Eingabe des neuen Namens kann dieser"
			" verändert werden. Die Taste enter bestätigt "
			"die Eingabe und die Taste esc verwirft diese.");
			break;
		case 2:
			waddstr(unten, "An diesem Gerät ist der Sensor angeschlossen.");
			break;
		case 3:
			waddstr(unten, "Gibt die Softwarealarmeinstellung des Sensors aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 5:
			waddstr(unten, "Gibt die Mainboardalarmeinstellung des Sensors aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 6:
			waddstr(unten, "Gibt die Herunterfahrenalarmeinstellung des Sensors aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 8:
			waddstr(unten, "Gibt die Notabschaltungalarmeinstellung des Sensors aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 9:
			waddstr(unten, "Gibt die 12V-Switchalarmeinstellung des Sensors aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 11:
			waddstr(unten, "Gibt den Korrekturwert des Sensors aus."
			" Dieser kann mit der Taste enter "
			"und anschließend durch Nutzung der Pfeiltasten"
			" angepasst werden. Die Taste enter bestätigt"
			" die Auswahl und die Taste esc verwirft diese.");
			break;
	}
	wrefresh(unten);
}

/* Gibt Beschreibungen zu den einzelnen Ausgaben des Reglerkonfigurationsmodus aus */
void gebeToolRTippsAus() {
	/* Vorherige Ausgabe bereinigen und Cursor
	 * auf den Anfang des unteren Fenster bewegen */
	wclear(unten);
	wmove(unten, 1, 0);
	switch (woBinIch) {
		case 0:
			waddstr(unten, "Dieser Reglerkanal ist ausgewählt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 1:
			waddstr(unten, "Gibt den Namen des Reglers aus. "
			"Mit der Taste enter und anschließend "
			"durch Eingabe des neuen Namens kann dieser"
			" verändert werden. Die Taste enter bestätigt "
			"die Eingabe und die Taste esc verwirft diese.");
			break;
		case 2: waddstr(unten, "Bis zu dieser Temperatur kühlt der "
			"P/I Regler runter. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 3: waddstr(unten, "Bei Unterschreitung der 1. Schritt "
			"Temperatur liegt die Minimalspannung an, wenn "
			"Fan off nicht gesetzt ist.");
			break;
		case 5: waddstr(unten, "Gibt den Eingangssensor aus "
			"anhand dessen geregelt wird. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 7: waddstr(unten, "Ab dieser Temperatur kühlt der "
			"P/I Regler bis zur Temperaturuntergrenze runter. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 8: waddstr(unten, "Ab dieser Temperatur liegt "
			"die rechte Spannung an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 9: waddstr(unten, "Diese Spannung liegt "
			"ab der linken Temperatur an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 10: waddstr(unten, "Gibt das Ausgabegerät aus, "
			"das geregelt werden soll. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieses gewechselt werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 12: waddstr(unten, "Gibt die Verzögerung aus, nach welcher "
			"der nächste Regelungsschritt erfolgt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 13: waddstr(unten, "Ab dieser Temperatur liegt "
			"die rechte Spannung an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 14: waddstr(unten, "Diese Spannung liegt "
			"ab der linken Temperatur an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 15: waddstr(unten,
			"inaktiv: Der Regulator kommt nicht zum Einsatz.\n"
			"P/I Regulator: automatische und stufenlose Regelung.\n"
			"Step Controller: Ab bestimmten Temperaturen "
			"liegen bestimmte Spannungen an.\n"
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dies angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 17: waddstr(unten, "Mit diesem Wert wird die Spannungs"
			"erhöhung (-verringerung) des "
			"ersten Regelschrittes festgelegt. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 18: waddstr(unten, "Ab dieser Temperatur liegt "
			"die rechte Spannung an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 19: waddstr(unten, "Diese Spannung liegt "
			"ab der linken Temperatur an. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann diese angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
		case 20: waddstr(unten, "Lüfter ausschalten erlauben. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dies angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 22: waddstr(unten, "Dieser Wert legt die Spannungserhöhung"
			" (-verringerung) der folgenden Regelschritte fest. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dieser angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		case 27: waddstr(unten, "Es erfolgt eine Umkehrung aller "
			"Regelschritte. "
			"Mit der Taste enter und anschließend durch Nutzung "
			"der Pfeiltasten kann dies angepasst werden. Die "
			"Taste enter bestätigt die Auswahl und die Taste esc "
			"verwirft diese.");
			break;
		default:
			waddstr(unten, "Unbekannter Zustand.");
	}
	wrefresh(unten);
}

void gebeToolDFMTippsAus() {
	wclear(unten);
	wmove(unten, 1, 0);
	switch (woBinIch) {
		case 0:
			waddstr(unten, "Gibt die Softwarealarmeinstellung"
			" des Durchflussmessers aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 1:
			waddstr(unten, "Gibt die Mainboardalarmeinstellung"
			" des Durchflussmessers aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 2:
			waddstr(unten, "Gibt die Herunterfahrenalarmeinstellung"
			" des Durchflussmesser aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 3:
			waddstr(unten, "Gibt die Notabschaltungalarmeinstellung"
			" des Durchflussmesser aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 4:
			waddstr(unten, "Gibt die 12V-Switchalarmeinstellung"
			" des Durchflussmesser aus."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten kann diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		case 5:
			waddstr(unten, "Bei sovielen Impulsen des "
			"Durchflussmessers ist 1 Liter durchgeflossen."
			" Mit der Taste enter und anschließend "
			"durch Nutzung der Pfeiltasten können diese"
			" eingestellt werden. Die Taste enter "
			"bestätigt die Auswahl und die Taste esc verwirft diese.");
			break;
		default:
			waddstr(unten, "Unbekannter Zustand.");
	}
	wrefresh(unten);
}

